Skip to navigation

List Subscribers

Returns a list of Subscribers. Optional filter parameters can be passed in.

Authentication

X-Auth-Tokenstring

OAuth scopes

UI NamePermissionParameter
Customersmodifystore_v2_customers
Customersread-onlystore_v2_customers_read_only

Authentication header

HeaderArgumentDescription
X-Auth-Tokenaccess_tokenFor more about API accounts that generate access_tokens, see our Guide to API Accounts.

Further reading

For example requests and more information about authenticating BigCommerce APIs, see Authentication and Example Requests.

For more about BigCommerce OAuth scopes, see our Guide to API Accounts.

For a list of API status codes, see API Status Codes.

Path parameters

store_hashstringRequired
Permanent ID of the BigCommerce store.

Headers

AcceptstringRequiredDefaults to application/json

The MIME type of the response body.

Query parameters

emailstringOptional
Filter items by email.
first_namestringOptional

Filter items by first_name.

last_namestringOptional

Filter items by last_name.

sourcestringOptional
Filter items by source.
order_idintegerOptional

Filter items by order_id.

date_createddatetimeOptional

Filter items by date_created.

date_created:mindatetimeOptional

Filter items by minimum date created, for example, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields created after this date.

date_created:maxdatetimeOptional

Filter items by maximum date created, for example, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields created before this date.

date_modifieddatetimeOptional

Filter items by date_modified. For example v3/catalog/products?date_last_imported:min=2018-06-15

date_modified:mindatetimeOptional

Filter items by minimum date modified, for example, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields modified after this date.

date_modified:maxdatetimeOptional

Filter items by maximum date modified, for example, 2024-05-14T09:34:00 or 2024-05-14. Returns metafields modified before this date.

pageintegerOptional

Specifies the page number in a limited (paginated) list of products.

limitintegerOptional

Controls the number of items per page in a limited (paginated) list of products.

sortenumOptional

Field to sort by. Defaults to id.

directionenumOptional

Sort direction. Defaults to asc.

Allowed values:
idintegerRequired
Filter items by ID.
id:inlist of integersOptional

Filter items by ID. id:in=4,5,6

Response

OK
datalist of objectsOptional
metaobjectOptional
Data about the response, including pagination and collection totals.

Errors

422
Unprocessable Entity Error